Package ec.util

# Class ReflectedObject

java.lang.Object
ec.util.ReflectedObject

All Implemented Interfaces:
  `TreeModel`

public class ReflectedObject extends Object implements TreeModel

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ReflectedObject(Object o)`
  `protected`
  `ReflectedObject(Object o, Class t, String n, Object u)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTreeModelListener(TreeModelListener l)`
  `boolean`
  `equals(Object obj)`
  `ReflectedObject`
  `getChild(int index)`
  `Object`
  `getChild(Object parent, int index)`
  `int`
  `getChildCount(Object parent)`
  `ReflectedObject[]`
  `getChildren()`
  `ReflectedObject`
  `getField(int index)`
  `ReflectedObject[]`
  `getFields()`
  `int`
  `getIndexOfChild(Object parent, Object child)`
  `int`
  `getNumChildren()`
  `int`
  `getNumFields()`
  `Object`
  `getRoot()`
  `boolean`
  `isLeaf(Object parent)`
  `void`
  `removeTreeModelListener(TreeModelListener l)`
  `String`
  `toString()`
  `void`
  `valueForPathChanged(TreePath path, Object newValue)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReflectedObject

    public ReflectedObject(Object o)

  - ### ReflectedObject

    protected ReflectedObject(Object o, Class t, String n, Object u)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNumChildren

    public int getNumChildren()

  - ### getChild

    public ReflectedObject getChild(int index)

  - ### getChildren

    public ReflectedObject[] getChildren()

  - ### getNumFields

    public int getNumFields()

  - ### getField

    public ReflectedObject getField(int index)

  - ### getFields

    public ReflectedObject[] getFields()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getRoot

    public Object getRoot()
    Specified by:
      `getRoot` in interface `TreeModel`

  - ### getChild

    public Object getChild(Object parent, int index)
    Specified by:
      `getChild` in interface `TreeModel`

  - ### getChildCount

    public int getChildCount(Object parent)
    Specified by:
      `getChildCount` in interface `TreeModel`

  - ### getIndexOfChild

    public int getIndexOfChild(Object parent, Object child)
    Specified by:
      `getIndexOfChild` in interface `TreeModel`

  - ### isLeaf

    public boolean isLeaf(Object parent)
    Specified by:
      `isLeaf` in interface `TreeModel`

  - ### valueForPathChanged

    public void valueForPathChanged(TreePath path, Object newValue)
    Specified by:
      `valueForPathChanged` in interface `TreeModel`

  - ### addTreeModelListener

    public void addTreeModelListener(TreeModelListener l)
    Specified by:
      `addTreeModelListener` in interface `TreeModel`

  - ### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener l)
    Specified by:
      `removeTreeModelListener` in interface `TreeModel`